// Listen for Google search submissions
if (window.location.hostname.includes('google.com')) {
  const searchForm = document.querySelector('form[role="search"]');
  if (searchForm) {
    searchForm.addEventListener('submit', function() {
      const searchInput = document.querySelector('input[name="q"]');
      if (searchInput && searchInput.value) {
        chrome.runtime.sendMessage({
          type: 'googleSearch',
          query: searchInput.value
        });
      }
    });
  }
}

// Listen for messages from background script
chrome.runtime.onMessage.addListener(function(message, sender, sendResponse) {
  if (message.type === 'showWarning') {
    createWarningPopup();
  }
  return true;
});

// This function will be called by the background script via executeScript
function createWarningPopup() {
  // Implementation is in the background.js file
  // The function is duplicated here for reference
}